package com.ym.mec.collectfee.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import java.math.BigDecimal;
import java.util.List;

//封装mec  3.2.13添加乐团学员（含缴费）（125218）请求
@XStreamAlias("body")
public class RequestMecApplyClass {

    private Integer studentId;

    private Integer classId;

    private String subName;

    private String remark;

    private List<Course> courses;

    private BigDecimal amount;

    private BigDecimal tuiFee;

    private BigDecimal goodsFee;

    private List<Sundry> sundries;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<Course> getCourses() {
        return courses;
    }

    public void setCourses(List<Course> courses) {
        this.courses = courses;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTuiFee() {
        return tuiFee;
    }

    public void setTuiFee(BigDecimal tuiFee) {
        this.tuiFee = tuiFee;
    }

    public BigDecimal getGoodsFee() {
        return goodsFee;
    }

    public void setGoodsFee(BigDecimal goodsFee) {
        this.goodsFee = goodsFee;
    }

    public List<Sundry> getSundries() {
        return sundries;
    }

    public void setSundries(List<Sundry> sundries) {
        this.sundries = sundries;
    }
}
